1. Incidents
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Incidents

Index

Developing
GET
http://127.0.0.1:8000/api/incidents
Retrieves a list of all incidents registered in the system.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthenticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/incidents' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "data": [
        {
            "id": 1,
            "alert": "Suspicious multiple login attempts.",
            "assigned_to": "analyst",
            "title": "Critical Brute Force Incident",
            "severity": "high",
            "status": "open",
            "started_at": "2026-06-05 13:46:37",
            "closed_at": "not closed"
        },
        {
            "id": 2,
            "alert": "Potential SQL injection attack.",
            "assigned_to": "admin",
            "title": "SQL Injection Investigation",
            "severity": "critical",
            "status": "in_progress",
            "started_at": "2026-06-05 13:46:37",
            "closed_at": "not closed"
        }
    ]
}
Modified at 2026-06-19 14:44:57
Previous
Delete
Next
Show
Built with